{
  lib,
  pkgs,
  config,
  ...
}:
{
  home = {
    username = "harald";
    homeDirectory = "/Users/${config.home.username}";
    stateVersion = "23.11"; # Please read the comment before changing.
  };

  programs.ssh.extraConfig = ''
    #UseKeychain yes
    #AddKeysToAgent yes
    IdentityFile ~/.ssh/id_ed25519
  '';

  metacfg = {
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = true;
      bat.enable = true;
      starship.enable = true;
      #home-manager.enable = true;
    };

    tools = {
      #direnv.enable = true;
      ssh.enable = true;
      git.enable = true;
    };
  };

  xdg.configFile."alacritty/alacritty.toml".source =
    (pkgs.formats.toml { }).generate "alacritty-config"
      {
        font = {
          size = 17;
        };
      };
}
